library twipe_flutter_core;

import 'package:flutter/material.dart';
import 'package:twipe_flutter_core/utils/cache/cache_handler.dart';
import 'package:twipe_flutter_core/utils/config/configuration.dart';
import 'package:twipe_flutter_core/utils/config/environment.dart';
import 'package:twipe_flutter_core/utils/content/twipe_app.dart';
import 'package:twipe_flutter_core/utils/json/json_handler.dart';
import 'package:twipe_flutter_core/utils/ui/theme/twipe_theme.dart';

/// Setup Twipe Library
/// Loads Environment Handler
class TwipeFlutterCore {
  static TwipeApp? _app;
  static Future<void> initialize({String? environmentFilePath}) async {
    WidgetsFlutterBinding.ensureInitialized();
    await Environment.setup(configFilePath: environmentFilePath);
    await CacheHandler.setup();
    await JSONHandler.setup();
    Configuration.setup();
    await TwipeTheme.setup();
    _app = TwipeApp();
  }

  static TwipeApp get app => _app!;
}
